using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability
{
    [SuppressMessage("Microsoft.Performance", "CA1815:OverrideEqualsAndOperatorEqualsOnValueTypes")]
    [StructLayout(LayoutKind.Auto)]
    [ComVisible(true)]
    public struct Rule1403
    {
        [SuppressMessage("Microsoft.Design", "CA1051:DoNotDeclareVisibleInstanceFields", Justification = "アクセシビリティを private にすると CA1413:AvoidNonpublicFieldsInComVisibleValueTypes 違反となる。")]
        public int Value1;

        [SuppressMessage("Microsoft.Design", "CA1051:DoNotDeclareVisibleInstanceFields", Justification = "アクセシビリティを private にすると CA1413:AvoidNonpublicFieldsInComVisibleValueTypes 違反となる。")]
        public int Value2;
    }
}
